<?php

/**
* Some formatter
* @formatter foo
* @min_attributes 1
* @max_attributes 2
*/
class FooTestFormatter {
}


class FormatterInfoTestCase extends Wact_Test_Case {

    function testAnnotations() {
        $info = new Wact_Template_Compiler_Formatter_Info('FooTestFormatter');

        $this->assertEqual($info->formatter, 'foo');
        $this->assertEqual($info->minParameterCount, 1);
        $this->assertEqual($info->maxParameterCount, 2);
        $this->assertEqual($info->getFileName(), __FILE__);
    }
     
}

?>